package com.chenyang.nse.bussiness.entity.orm.table.core.discovery;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import java.util.List;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "T_CORE_DISCOVERY_RESULT"
)
public class TcoreDiscoveryResult extends TProEntity {
   private String tdatasystem_id;
   private String tschemas;
   private String ttables;
   private String tfields;
   private String tfieldremark;
   private String tsampling;
   private String teffe_sampling;
   private String tmatching;
   private String dataarea_id;
   private String dataarea_name;
   private String sensitive_id;
   private String sensitive_name;
   private String issure;
   private String correlation;
   private String filestruct;
   private String filecontent;
   @Transient
   private List<TcoreDiscoveryResult> children;

   public String getTdatasystem_id() {
      return this.tdatasystem_id;
   }

   public void setTdatasystem_id(String tdatasystem_id) {
      this.tdatasystem_id = tdatasystem_id;
   }

   public String getTschemas() {
      return this.tschemas;
   }

   public void setTschemas(String tschemas) {
      this.tschemas = tschemas;
   }

   public String getTtables() {
      return this.ttables;
   }

   public void setTtables(String ttables) {
      this.ttables = ttables;
   }

   public String getTfields() {
      return this.tfields;
   }

   public void setTfields(String tfields) {
      this.tfields = tfields;
   }

   public String getTsampling() {
      return this.tsampling;
   }

   public void setTsampling(String tsampling) {
      this.tsampling = tsampling;
   }

   public String getTeffe_sampling() {
      return this.teffe_sampling;
   }

   public void setTeffe_sampling(String teffe_sampling) {
      this.teffe_sampling = teffe_sampling;
   }

   public String getTmatching() {
      return this.tmatching;
   }

   public void setTmatching(String tmatching) {
      this.tmatching = tmatching;
   }

   public String getDataarea_id() {
      return this.dataarea_id;
   }

   public void setDataarea_id(String dataarea_id) {
      this.dataarea_id = dataarea_id;
   }

   public String getDataarea_name() {
      return this.dataarea_name;
   }

   public void setDataarea_name(String dataarea_name) {
      this.dataarea_name = dataarea_name;
   }

   public String getSensitive_id() {
      return this.sensitive_id;
   }

   public void setSensitive_id(String sensitive_id) {
      this.sensitive_id = sensitive_id;
   }

   public String getSensitive_name() {
      return this.sensitive_name;
   }

   public void setSensitive_name(String sensitive_name) {
      this.sensitive_name = sensitive_name;
   }

   public String getIssure() {
      return this.issure;
   }

   public void setIssure(String issure) {
      this.issure = issure;
   }

   public List<TcoreDiscoveryResult> getChildren() {
      return this.children;
   }

   public void setChildren(List<TcoreDiscoveryResult> children) {
      this.children = children;
   }

   public String getTfieldremark() {
      return this.tfieldremark;
   }

   public void setTfieldremark(String tfieldremark) {
      this.tfieldremark = tfieldremark;
   }

   public String getCorrelation() {
      return this.correlation;
   }

   public void setCorrelation(String correlation) {
      this.correlation = correlation;
   }

   public String getFilestruct() {
      return this.filestruct;
   }

   public void setFilestruct(String filestruct) {
      this.filestruct = filestruct;
   }

   public String getFilecontent() {
      return this.filecontent;
   }

   public void setFilecontent(String filecontent) {
      this.filecontent = filecontent;
   }
}
